comparison interps/egobf/config.status @ 996:859f9b4339e6

<Gregor> tar xf egobot.tar.xz
author HackBot
date Sun, 09 Dec 2012 19:30:08 +0000
parents
children
comparison
equal deleted inserted replaced
995:6883f5911eb7 996:859f9b4339e6
1 #! /bin/bash
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
6
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/bash}
11 ## --------------------- ##
12 ## M4sh Initialization. ##
13 ## --------------------- ##
14
15 # Be Bourne compatible
16 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17 emulate sh
18 NULLCMD=:
19 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20 # is contrary to our usage. Disable this feature.
21 alias -g '${1+"$@"}'='"$@"'
22 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23 set -o posix
24 fi
25 DUALCASE=1; export DUALCASE # for MKS sh
26
27 # Support unset when possible.
28 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29 as_unset=unset
30 else
31 as_unset=false
32 fi
33
34
35 # Work around bugs in pre-3.0 UWIN ksh.
36 $as_unset ENV MAIL MAILPATH
37 PS1='$ '
38 PS2='> '
39 PS4='+ '
40
41 # NLS nuisances.
42 for as_var in \
43 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45 LC_TELEPHONE LC_TIME
46 do
47 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48 eval $as_var=C; export $as_var
49 else
50 $as_unset $as_var
51 fi
52 done
53
54 # Required to use basename.
55 if expr a : '\(a\)' >/dev/null 2>&1; then
56 as_expr=expr
57 else
58 as_expr=false
59 fi
60
61 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62 as_basename=basename
63 else
64 as_basename=false
65 fi
66
67
68 # Name of the executable.
69 as_me=`$as_basename "$0" ||
70 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71 X"$0" : 'X\(//\)$' \| \
72 X"$0" : 'X\(/\)$' \| \
73 . : '\(.\)' 2>/dev/null ||
74 echo X/"$0" |
75 sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76 /^X\/\(\/\/\)$/{ s//\1/; q; }
77 /^X\/\(\/\).*/{ s//\1/; q; }
78 s/.*/./; q'`
79
80
81 # PATH needs CR, and LINENO needs CR and PATH.
82 # Avoid depending upon Character Ranges.
83 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86 as_cr_digits='0123456789'
87 as_cr_alnum=$as_cr_Letters$as_cr_digits
88
89 # The user is always right.
90 if test "${PATH_SEPARATOR+set}" != set; then
91 echo "#! /bin/sh" >conf$$.sh
92 echo "exit 0" >>conf$$.sh
93 chmod +x conf$$.sh
94 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95 PATH_SEPARATOR=';'
96 else
97 PATH_SEPARATOR=:
98 fi
99 rm -f conf$$.sh
100 fi
101
102
103 as_lineno_1=$LINENO
104 as_lineno_2=$LINENO
105 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106 test "x$as_lineno_1" != "x$as_lineno_2" &&
107 test "x$as_lineno_3" = "x$as_lineno_2" || {
108 # Find who we are. Look in the path if we contain no path at all
109 # relative or not.
110 case $0 in
111 *[\\/]* ) as_myself=$0 ;;
112 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113 for as_dir in $PATH
114 do
115 IFS=$as_save_IFS
116 test -z "$as_dir" && as_dir=.
117 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118 done
119
120 ;;
121 esac
122 # We did not find ourselves, most probably we were run as `sh COMMAND'
123 # in which case we are not to be found in the path.
124 if test "x$as_myself" = x; then
125 as_myself=$0
126 fi
127 if test ! -f "$as_myself"; then
128 { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130 { (exit 1); exit 1; }; }
131 fi
132 case $CONFIG_SHELL in
133 '')
134 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
136 do
137 IFS=$as_save_IFS
138 test -z "$as_dir" && as_dir=.
139 for as_base in sh bash ksh sh5; do
140 case $as_dir in
141 /*)
142 if ("$as_dir/$as_base" -c '
143 as_lineno_1=$LINENO
144 as_lineno_2=$LINENO
145 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146 test "x$as_lineno_1" != "x$as_lineno_2" &&
147 test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then
148 $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149 $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150 CONFIG_SHELL=$as_dir/$as_base
151 export CONFIG_SHELL
152 exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153 fi;;
154 esac
155 done
156 done
157 ;;
158 esac
159
160 # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161 # uniformly replaced by the line number. The first 'sed' inserts a
162 # line-number line before each line; the second 'sed' does the real
163 # work. The second script uses 'N' to pair each line-number line
164 # with the numbered line, and appends trailing '-' during
165 # substitution so that $LINENO is not a special case at line end.
166 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167 # second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
168 sed '=' <$as_myself |
169 sed '
170 N
171 s,$,-,
172 : loop
173 s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174 t loop
175 s,-$,,
176 s,^['$as_cr_digits']*\n,,
177 ' >$as_me.lineno &&
178 chmod +x $as_me.lineno ||
179 { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181 { (exit 1); exit 1; }; }
182
183 # Don't try to exec as it changes $[0], causing all sort of problems
184 # (the dirname of $[0] is not the place where we might find the
185 # original and so on. Autoconf is especially sensible to this).
186 . ./$as_me.lineno
187 # Exit status is that of the last command.
188 exit
189 }
190
191
192 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193 *c*,-n*) ECHO_N= ECHO_C='
194 ' ECHO_T=' ' ;;
195 *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196 *) ECHO_N= ECHO_C='\c' ECHO_T= ;;
197 esac
198
199 if expr a : '\(a\)' >/dev/null 2>&1; then
200 as_expr=expr
201 else
202 as_expr=false
203 fi
204
205 rm -f conf$$ conf$$.exe conf$$.file
206 echo >conf$$.file
207 if ln -s conf$$.file conf$$ 2>/dev/null; then
208 # We could just check for DJGPP; but this test a) works b) is more generic
209 # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210 if test -f conf$$.exe; then
211 # Don't use ln at all; we don't have any links
212 as_ln_s='cp -p'
213 else
214 as_ln_s='ln -s'
215 fi
216 elif ln conf$$.file conf$$ 2>/dev/null; then
217 as_ln_s=ln
218 else
219 as_ln_s='cp -p'
220 fi
221 rm -f conf$$ conf$$.exe conf$$.file
222
223 if mkdir -p . 2>/dev/null; then
224 as_mkdir_p=:
225 else
226 test -d ./-p && rmdir ./-p
227 as_mkdir_p=false
228 fi
229
230 as_executable_p="test -f"
231
232 # Sed expression to map a string onto a valid CPP name.
233 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
234
235 # Sed expression to map a string onto a valid variable name.
236 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
237
238
239 # IFS
240 # We need space, tab and new line, in precisely that order.
241 as_nl='
242 '
243 IFS=" $as_nl"
244
245 # CDPATH.
246 $as_unset CDPATH
247
248 exec 6>&1
249
250 # Open the log real soon, to keep \$[0] and so on meaningful, and to
251 # report actual input values of CONFIG_FILES etc. instead of their
252 # values after options handling. Logging --version etc. is OK.
253 exec 5>>config.log
254 {
255 echo
256 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257 ## Running $as_me. ##
258 _ASBOX
259 } >&5
260 cat >&5 <<_CSEOF
261
262 This file was extended by egobfi $as_me 0.7, which was
263 generated by GNU Autoconf 2.59. Invocation command line was
264
265 CONFIG_FILES = $CONFIG_FILES
266 CONFIG_HEADERS = $CONFIG_HEADERS
267 CONFIG_LINKS = $CONFIG_LINKS
268 CONFIG_COMMANDS = $CONFIG_COMMANDS
269 $ $0 $@
270
271 _CSEOF
272 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273 echo >&5
274 config_files=" Makefile src/Makefile src/egobfi-wib"
275 config_headers=" config.h"
276 config_commands=" depfiles"
277
278 ac_cs_usage="\
279 \`$as_me' instantiates files from templates according to the
280 current configuration.
281
282 Usage: $0 [OPTIONS] [FILE]...
283
284 -h, --help print this help, then exit
285 -V, --version print version number, then exit
286 -q, --quiet do not print progress messages
287 -d, --debug don't remove temporary files
288 --recheck update $as_me by reconfiguring in the same conditions
289 --file=FILE[:TEMPLATE]
290 instantiate the configuration file FILE
291 --header=FILE[:TEMPLATE]
292 instantiate the configuration header FILE
293
294 Configuration files:
295 $config_files
296
297 Configuration headers:
298 $config_headers
299
300 Configuration commands:
301 $config_commands
302
303 Report bugs to <bug-autoconf@gnu.org>."
304 ac_cs_version="\
305 egobfi config.status 0.7
306 configured by ./configure, generated by GNU Autoconf 2.59,
307 with options \"\"
308
309 Copyright (C) 2003 Free Software Foundation, Inc.
310 This config.status script is free software; the Free Software Foundation
311 gives unlimited permission to copy, distribute and modify it."
312 srcdir=.
313 INSTALL="/usr/bin/install -c"
314 # If no file are specified by the user, then we need to provide default
315 # value. By we need to know if files were specified by the user.
316 ac_need_defaults=:
317 while test $# != 0
318 do
319 case $1 in
320 --*=*)
321 ac_option=`expr "x$1" : 'x\([^=]*\)='`
322 ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
323 ac_shift=:
324 ;;
325 -*)
326 ac_option=$1
327 ac_optarg=$2
328 ac_shift=shift
329 ;;
330 *) # This is not an option, so the user has probably given explicit
331 # arguments.
332 ac_option=$1
333 ac_need_defaults=false;;
334 esac
335
336 case $ac_option in
337 # Handling of the options.
338 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
339 ac_cs_recheck=: ;;
340 --version | --vers* | -V )
341 echo "$ac_cs_version"; exit 0 ;;
342 --he | --h)
343 # Conflict between --help and --header
344 { { echo "$as_me:$LINENO: error: ambiguous option: $1
345 Try \`$0 --help' for more information." >&5
346 echo "$as_me: error: ambiguous option: $1
347 Try \`$0 --help' for more information." >&2;}
348 { (exit 1); exit 1; }; };;
349 --help | --hel | -h )
350 echo "$ac_cs_usage"; exit 0 ;;
351 --debug | --d* | -d )
352 debug=: ;;
353 --file | --fil | --fi | --f )
354 $ac_shift
355 CONFIG_FILES="$CONFIG_FILES $ac_optarg"
356 ac_need_defaults=false;;
357 --header | --heade | --head | --hea )
358 $ac_shift
359 CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
360 ac_need_defaults=false;;
361 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
362 | -silent | --silent | --silen | --sile | --sil | --si | --s)
363 ac_cs_silent=: ;;
364
365 # This is an error.
366 -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
367 Try \`$0 --help' for more information." >&5
368 echo "$as_me: error: unrecognized option: $1
369 Try \`$0 --help' for more information." >&2;}
370 { (exit 1); exit 1; }; } ;;
371
372 *) ac_config_targets="$ac_config_targets $1" ;;
373
374 esac
375 shift
376 done
377
378 ac_configure_extra_args=
379
380 if $ac_cs_silent; then
381 exec 6>/dev/null
382 ac_configure_extra_args="$ac_configure_extra_args --silent"
383 fi
384
385 if $ac_cs_recheck; then
386 echo "running /bin/bash ./configure " $ac_configure_extra_args " --no-create --no-recursion" >&6
387 exec /bin/bash ./configure $ac_configure_extra_args --no-create --no-recursion
388 fi
389
390 #
391 # INIT-COMMANDS section.
392 #
393
394 AMDEP_TRUE="" ac_aux_dir="scripts"
395
396 for ac_config_target in $ac_config_targets
397 do
398 case "$ac_config_target" in
399 # Handling of arguments.
400 "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
401 "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
402 "src/egobfi-wib" ) CONFIG_FILES="$CONFIG_FILES src/egobfi-wib" ;;
403 "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
404 "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
405 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
406 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
407 { (exit 1); exit 1; }; };;
408 esac
409 done
410
411 # If the user did not use the arguments to specify the items to instantiate,
412 # then the envvar interface is used. Set only those that are not.
413 # We use the long form for the default assignment because of an extremely
414 # bizarre bug on SunOS 4.1.3.
415 if $ac_need_defaults; then
416 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
417 test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
418 test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
419 fi
420
421 # Have a temporary directory for convenience. Make it in the build tree
422 # simply because there is no reason to put it here, and in addition,
423 # creating and moving files from /tmp can sometimes cause problems.
424 # Create a temporary directory, and hook for its removal unless debugging.
425 $debug ||
426 {
427 trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
428 trap '{ (exit 1); exit 1; }' 1 2 13 15
429 }
430
431 # Create a (secure) tmp directory for tmp files.
432
433 {
434 tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
435 test -n "$tmp" && test -d "$tmp"
436 } ||
437 {
438 tmp=./confstat$$-$RANDOM
439 (umask 077 && mkdir $tmp)
440 } ||
441 {
442 echo "$me: cannot create a temporary directory in ." >&2
443 { (exit 1); exit 1; }
444 }
445
446
447 #
448 # CONFIG_FILES section.
449 #
450
451 # No need to generate the scripts if there are no CONFIG_FILES.
452 # This happens for instance when ./config.status config.h
453 if test -n "$CONFIG_FILES"; then
454 # Protect against being on the right side of a sed subst in config.status.
455 sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
456 s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
457 s,@SHELL@,/bin/bash,;t t
458 s,@PATH_SEPARATOR@,:,;t t
459 s,@PACKAGE_NAME@,egobfi,;t t
460 s,@PACKAGE_TARNAME@,egobfi,;t t
461 s,@PACKAGE_VERSION@,0.7,;t t
462 s,@PACKAGE_STRING@,egobfi 0.7,;t t
463 s,@PACKAGE_BUGREPORT@,,;t t
464 s,@exec_prefix@,${prefix},;t t
465 s,@prefix@,/usr/local,;t t
466 s,@program_transform_name@,s,x,x,,;t t
467 s,@bindir@,${exec_prefix}/bin,;t t
468 s,@sbindir@,${exec_prefix}/sbin,;t t
469 s,@libexecdir@,${exec_prefix}/libexec,;t t
470 s,@datadir@,${prefix}/share,;t t
471 s,@sysconfdir@,${prefix}/etc,;t t
472 s,@sharedstatedir@,${prefix}/com,;t t
473 s,@localstatedir@,${prefix}/var,;t t
474 s,@libdir@,${exec_prefix}/lib,;t t
475 s,@includedir@,${prefix}/include,;t t
476 s,@oldincludedir@,/usr/include,;t t
477 s,@infodir@,${prefix}/info,;t t
478 s,@mandir@,${prefix}/man,;t t
479 s,@build_alias@,,;t t
480 s,@host_alias@,,;t t
481 s,@target_alias@,,;t t
482 s,@DEFS@,-DHAVE_CONFIG_H,;t t
483 s,@ECHO_C@,,;t t
484 s,@ECHO_N@,-n,;t t
485 s,@ECHO_T@,,;t t
486 s,@LIBS@,,;t t
487 s,@INSTALL_PROGRAM@,${INSTALL},;t t
488 s,@INSTALL_SCRIPT@,${INSTALL},;t t
489 s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
490 s,@CYGPATH_W@,echo,;t t
491 s,@PACKAGE@,egobfi,;t t
492 s,@VERSION@,0.7,;t t
493 s,@ACLOCAL@,${SHELL} /home/gregor/projects/hackbot/multibot_cmds/env/interps/egobf/scripts/missing --run aclocal-1.9,;t t
494 s,@AUTOCONF@,${SHELL} /home/gregor/projects/hackbot/multibot_cmds/env/interps/egobf/scripts/missing --run autoconf,;t t
495 s,@AUTOMAKE@,${SHELL} /home/gregor/projects/hackbot/multibot_cmds/env/interps/egobf/scripts/missing --run automake-1.9,;t t
496 s,@AUTOHEADER@,${SHELL} /home/gregor/projects/hackbot/multibot_cmds/env/interps/egobf/scripts/missing --run autoheader,;t t
497 s,@MAKEINFO@,${SHELL} /home/gregor/projects/hackbot/multibot_cmds/env/interps/egobf/scripts/missing --run makeinfo,;t t
498 s,@install_sh@,/home/gregor/projects/hackbot/multibot_cmds/env/interps/egobf/scripts/install-sh,;t t
499 s,@STRIP@,,;t t
500 s,@ac_ct_STRIP@,,;t t
501 s,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t
502 s,@mkdir_p@,mkdir -p --,;t t
503 s,@AWK@,gawk,;t t
504 s,@SET_MAKE@,,;t t
505 s,@am__leading_dot@,.,;t t
506 s,@AMTAR@,${SHELL} /home/gregor/projects/hackbot/multibot_cmds/env/interps/egobf/scripts/missing --run tar,;t t
507 s,@am__tar@,${AMTAR} chof - "$$tardir",;t t
508 s,@am__untar@,${AMTAR} xf -,;t t
509 s,@CC@,gcc,;t t
510 s,@CFLAGS@,-g -O2,;t t
511 s,@LDFLAGS@,,;t t
512 s,@CPPFLAGS@,,;t t
513 s,@ac_ct_CC@,gcc,;t t
514 s,@EXEEXT@,,;t t
515 s,@OBJEXT@,o,;t t
516 s,@DEPDIR@,.deps,;t t
517 s,@am__include@,include,;t t
518 s,@am__quote@,,;t t
519 s,@AMDEP_TRUE@,,;t t
520 s,@AMDEP_FALSE@,#,;t t
521 s,@AMDEPBACKSLASH@,\,;t t
522 s,@CCDEPMODE@,depmode=gcc3,;t t
523 s,@am__fastdepCC_TRUE@,,;t t
524 s,@am__fastdepCC_FALSE@,#,;t t
525 s,@CPP@,gcc -E,;t t
526 s,@EGREP@,grep -E,;t t
527 s,@USE_INT64_TRUE@,,;t t
528 s,@USE_INT64_FALSE@,#,;t t
529 s,@LIBOBJS@,,;t t
530 s,@LTLIBOBJS@,,;t t
531 CEOF
532
533 # Split the substitutions into bite-sized pieces for seds with
534 # small command number limits, like on Digital OSF/1 and HP-UX.
535 ac_max_sed_lines=48
536 ac_sed_frag=1 # Number of current file.
537 ac_beg=1 # First line for current file.
538 ac_end=$ac_max_sed_lines # Line after last line for current file.
539 ac_more_lines=:
540 ac_sed_cmds=
541 while $ac_more_lines; do
542 if test $ac_beg -gt 1; then
543 sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
544 else
545 sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
546 fi
547 if test ! -s $tmp/subs.frag; then
548 ac_more_lines=false
549 else
550 # The purpose of the label and of the branching condition is to
551 # speed up the sed processing (if there are no `@' at all, there
552 # is no need to browse any of the substitutions).
553 # These are the two extra sed commands mentioned above.
554 (echo ':t
555 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
556 if test -z "$ac_sed_cmds"; then
557 ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
558 else
559 ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
560 fi
561 ac_sed_frag=`expr $ac_sed_frag + 1`
562 ac_beg=$ac_end
563 ac_end=`expr $ac_end + $ac_max_sed_lines`
564 fi
565 done
566 if test -z "$ac_sed_cmds"; then
567 ac_sed_cmds=cat
568 fi
569 fi # test -n "$CONFIG_FILES"
570
571 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
572 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
573 case $ac_file in
574 - | *:- | *:-:* ) # input from stdin
575 cat >$tmp/stdin
576 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
577 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
578 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
579 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
580 * ) ac_file_in=$ac_file.in ;;
581 esac
582
583 # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
584 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
585 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
586 X"$ac_file" : 'X\(//\)[^/]' \| \
587 X"$ac_file" : 'X\(//\)$' \| \
588 X"$ac_file" : 'X\(/\)' \| \
589 . : '\(.\)' 2>/dev/null ||
590 echo X"$ac_file" |
591 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
592 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
593 /^X\(\/\/\)$/{ s//\1/; q; }
594 /^X\(\/\).*/{ s//\1/; q; }
595 s/.*/./; q'`
596 { if $as_mkdir_p; then
597 mkdir -p "$ac_dir"
598 else
599 as_dir="$ac_dir"
600 as_dirs=
601 while test ! -d "$as_dir"; do
602 as_dirs="$as_dir $as_dirs"
603 as_dir=`(dirname "$as_dir") 2>/dev/null ||
604 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
605 X"$as_dir" : 'X\(//\)[^/]' \| \
606 X"$as_dir" : 'X\(//\)$' \| \
607 X"$as_dir" : 'X\(/\)' \| \
608 . : '\(.\)' 2>/dev/null ||
609 echo X"$as_dir" |
610 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
611 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
612 /^X\(\/\/\)$/{ s//\1/; q; }
613 /^X\(\/\).*/{ s//\1/; q; }
614 s/.*/./; q'`
615 done
616 test ! -n "$as_dirs" || mkdir $as_dirs
617 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
618 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
619 { (exit 1); exit 1; }; }; }
620
621 ac_builddir=.
622
623 if test "$ac_dir" != .; then
624 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
625 # A "../" for each directory in $ac_dir_suffix.
626 ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
627 else
628 ac_dir_suffix= ac_top_builddir=
629 fi
630
631 case $srcdir in
632 .) # No --srcdir option. We are building in place.
633 ac_srcdir=.
634 if test -z "$ac_top_builddir"; then
635 ac_top_srcdir=.
636 else
637 ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
638 fi ;;
639 [\\/]* | ?:[\\/]* ) # Absolute path.
640 ac_srcdir=$srcdir$ac_dir_suffix;
641 ac_top_srcdir=$srcdir ;;
642 *) # Relative path.
643 ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
644 ac_top_srcdir=$ac_top_builddir$srcdir ;;
645 esac
646
647 # Do not use `cd foo && pwd` to compute absolute paths, because
648 # the directories may not exist.
649 case `pwd` in
650 .) ac_abs_builddir="$ac_dir";;
651 *)
652 case "$ac_dir" in
653 .) ac_abs_builddir=`pwd`;;
654 [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
655 *) ac_abs_builddir=`pwd`/"$ac_dir";;
656 esac;;
657 esac
658 case $ac_abs_builddir in
659 .) ac_abs_top_builddir=${ac_top_builddir}.;;
660 *)
661 case ${ac_top_builddir}. in
662 .) ac_abs_top_builddir=$ac_abs_builddir;;
663 [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
664 *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
665 esac;;
666 esac
667 case $ac_abs_builddir in
668 .) ac_abs_srcdir=$ac_srcdir;;
669 *)
670 case $ac_srcdir in
671 .) ac_abs_srcdir=$ac_abs_builddir;;
672 [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
673 *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
674 esac;;
675 esac
676 case $ac_abs_builddir in
677 .) ac_abs_top_srcdir=$ac_top_srcdir;;
678 *)
679 case $ac_top_srcdir in
680 .) ac_abs_top_srcdir=$ac_abs_builddir;;
681 [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
682 *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
683 esac;;
684 esac
685
686
687 case $INSTALL in
688 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
689 *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
690 esac
691
692 if test x"$ac_file" != x-; then
693 { echo "$as_me:$LINENO: creating $ac_file" >&5
694 echo "$as_me: creating $ac_file" >&6;}
695 rm -f "$ac_file"
696 fi
697 # Let's still pretend it is `configure' which instantiates (i.e., don't
698 # use $as_me), people would be surprised to read:
699 # /* config.h. Generated by config.status. */
700 if test x"$ac_file" = x-; then
701 configure_input=
702 else
703 configure_input="$ac_file. "
704 fi
705 configure_input=$configure_input"Generated from `echo $ac_file_in |
706 sed 's,.*/,,'` by configure."
707
708 # First look for the input files in the build tree, otherwise in the
709 # src tree.
710 ac_file_inputs=`IFS=:
711 for f in $ac_file_in; do
712 case $f in
713 -) echo $tmp/stdin ;;
714 [\\/$]*)
715 # Absolute (can't be DOS-style, as IFS=:)
716 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
717 echo "$as_me: error: cannot find input file: $f" >&2;}
718 { (exit 1); exit 1; }; }
719 echo "$f";;
720 *) # Relative
721 if test -f "$f"; then
722 # Build tree
723 echo "$f"
724 elif test -f "$srcdir/$f"; then
725 # Source tree
726 echo "$srcdir/$f"
727 else
728 # /dev/null tree
729 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
730 echo "$as_me: error: cannot find input file: $f" >&2;}
731 { (exit 1); exit 1; }; }
732 fi;;
733 esac
734 done` || { (exit 1); exit 1; }
735 sed "/^[ ]*VPATH[ ]*=/{
736 s/:*\$(srcdir):*/:/;
737 s/:*\${srcdir}:*/:/;
738 s/:*@srcdir@:*/:/;
739 s/^\([^=]*=[ ]*\):*/\1/;
740 s/:*$//;
741 s/^[^=]*=[ ]*$//;
742 }
743
744 :t
745 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
746 s,@configure_input@,$configure_input,;t t
747 s,@srcdir@,$ac_srcdir,;t t
748 s,@abs_srcdir@,$ac_abs_srcdir,;t t
749 s,@top_srcdir@,$ac_top_srcdir,;t t
750 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
751 s,@builddir@,$ac_builddir,;t t
752 s,@abs_builddir@,$ac_abs_builddir,;t t
753 s,@top_builddir@,$ac_top_builddir,;t t
754 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
755 s,@INSTALL@,$ac_INSTALL,;t t
756 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
757 rm -f $tmp/stdin
758 if test x"$ac_file" != x-; then
759 mv $tmp/out $ac_file
760 else
761 cat $tmp/out
762 rm -f $tmp/out
763 fi
764
765 done
766
767 #
768 # CONFIG_HEADER section.
769 #
770
771 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
772 # NAME is the cpp macro being defined and VALUE is the value it is being given.
773 #
774 # ac_d sets the value in "#define NAME VALUE" lines.
775 ac_dA='s,^\([ ]*\)#\([ ]*define[ ][ ]*\)'
776 ac_dB='[ ].*$,\1#\2'
777 ac_dC=' '
778 ac_dD=',;t'
779 # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
780 ac_uA='s,^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
781 ac_uB='$,\1#\2define\3'
782 ac_uC=' '
783 ac_uD=',;t'
784
785 for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
786 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
787 case $ac_file in
788 - | *:- | *:-:* ) # input from stdin
789 cat >$tmp/stdin
790 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
791 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
792 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
793 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
794 * ) ac_file_in=$ac_file.in ;;
795 esac
796
797 test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
798 echo "$as_me: creating $ac_file" >&6;}
799
800 # First look for the input files in the build tree, otherwise in the
801 # src tree.
802 ac_file_inputs=`IFS=:
803 for f in $ac_file_in; do
804 case $f in
805 -) echo $tmp/stdin ;;
806 [\\/$]*)
807 # Absolute (can't be DOS-style, as IFS=:)
808 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
809 echo "$as_me: error: cannot find input file: $f" >&2;}
810 { (exit 1); exit 1; }; }
811 # Do quote $f, to prevent DOS paths from being IFS'd.
812 echo "$f";;
813 *) # Relative
814 if test -f "$f"; then
815 # Build tree
816 echo "$f"
817 elif test -f "$srcdir/$f"; then
818 # Source tree
819 echo "$srcdir/$f"
820 else
821 # /dev/null tree
822 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
823 echo "$as_me: error: cannot find input file: $f" >&2;}
824 { (exit 1); exit 1; }; }
825 fi;;
826 esac
827 done` || { (exit 1); exit 1; }
828 # Remove the trailing spaces.
829 sed 's/[ ]*$//' $ac_file_inputs >$tmp/in
830
831 # Handle all the #define templates only if necessary.
832 if grep "^[ ]*#[ ]*define" $tmp/in >/dev/null; then
833 # If there are no defines, we may have an empty if/fi
834 :
835 cat >$tmp/defines.sed <<CEOF
836 /^[ ]*#[ ]*define/!b
837 t clr
838 : clr
839 ${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}"egobfi"${ac_dD}
840 ${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}"egobfi"${ac_dD}
841 ${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}"0.7"${ac_dD}
842 ${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}"egobfi 0.7"${ac_dD}
843 ${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}""${ac_dD}
844 ${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"egobfi"${ac_dD}
845 ${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"0.7"${ac_dD}
846 ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
847 ${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
848 ${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
849 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
850 ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
851 ${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
852 ${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
853 ${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
854 ${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
855 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
856 ${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
857 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
858 ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
859 ${ac_dA}HAVE_WCHAR_H${ac_dB}HAVE_WCHAR_H${ac_dC}1${ac_dD}
860 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
861 ${ac_dA}HAVE_MALLOC${ac_dB}HAVE_MALLOC${ac_dC}1${ac_dD}
862 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
863 ${ac_dA}HAVE_REALLOC${ac_dB}HAVE_REALLOC${ac_dC}1${ac_dD}
864 ${ac_dA}HAVE_MEMSET${ac_dB}HAVE_MEMSET${ac_dC}1${ac_dD}
865 CEOF
866 sed -f $tmp/defines.sed $tmp/in >$tmp/out
867 rm -f $tmp/in
868 mv $tmp/out $tmp/in
869
870 fi # grep
871
872 # Handle all the #undef templates
873 cat >$tmp/undefs.sed <<CEOF
874 /^[ ]*#[ ]*undef/!b
875 t clr
876 : clr
877 ${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}"egobfi"${ac_uD}
878 ${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}"egobfi"${ac_uD}
879 ${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}"0.7"${ac_uD}
880 ${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}"egobfi 0.7"${ac_uD}
881 ${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}""${ac_uD}
882 ${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"egobfi"${ac_uD}
883 ${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"0.7"${ac_uD}
884 ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
885 ${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
886 ${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
887 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
888 ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
889 ${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
890 ${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
891 ${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
892 ${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
893 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
894 ${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
895 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
896 ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
897 ${ac_uA}HAVE_WCHAR_H${ac_uB}HAVE_WCHAR_H${ac_uC}1${ac_uD}
898 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
899 ${ac_uA}HAVE_MALLOC${ac_uB}HAVE_MALLOC${ac_uC}1${ac_uD}
900 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
901 ${ac_uA}HAVE_REALLOC${ac_uB}HAVE_REALLOC${ac_uC}1${ac_uD}
902 ${ac_uA}HAVE_MEMSET${ac_uB}HAVE_MEMSET${ac_uC}1${ac_uD}
903 s,^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
904 CEOF
905 sed -f $tmp/undefs.sed $tmp/in >$tmp/out
906 rm -f $tmp/in
907 mv $tmp/out $tmp/in
908
909 # Let's still pretend it is `configure' which instantiates (i.e., don't
910 # use $as_me), people would be surprised to read:
911 # /* config.h. Generated by config.status. */
912 if test x"$ac_file" = x-; then
913 echo "/* Generated by configure. */" >$tmp/config.h
914 else
915 echo "/* $ac_file. Generated by configure. */" >$tmp/config.h
916 fi
917 cat $tmp/in >>$tmp/config.h
918 rm -f $tmp/in
919 if test x"$ac_file" != x-; then
920 if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
921 { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
922 echo "$as_me: $ac_file is unchanged" >&6;}
923 else
924 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
925 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
926 X"$ac_file" : 'X\(//\)[^/]' \| \
927 X"$ac_file" : 'X\(//\)$' \| \
928 X"$ac_file" : 'X\(/\)' \| \
929 . : '\(.\)' 2>/dev/null ||
930 echo X"$ac_file" |
931 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
932 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
933 /^X\(\/\/\)$/{ s//\1/; q; }
934 /^X\(\/\).*/{ s//\1/; q; }
935 s/.*/./; q'`
936 { if $as_mkdir_p; then
937 mkdir -p "$ac_dir"
938 else
939 as_dir="$ac_dir"
940 as_dirs=
941 while test ! -d "$as_dir"; do
942 as_dirs="$as_dir $as_dirs"
943 as_dir=`(dirname "$as_dir") 2>/dev/null ||
944 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
945 X"$as_dir" : 'X\(//\)[^/]' \| \
946 X"$as_dir" : 'X\(//\)$' \| \
947 X"$as_dir" : 'X\(/\)' \| \
948 . : '\(.\)' 2>/dev/null ||
949 echo X"$as_dir" |
950 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
951 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
952 /^X\(\/\/\)$/{ s//\1/; q; }
953 /^X\(\/\).*/{ s//\1/; q; }
954 s/.*/./; q'`
955 done
956 test ! -n "$as_dirs" || mkdir $as_dirs
957 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
958 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
959 { (exit 1); exit 1; }; }; }
960
961 rm -f $ac_file
962 mv $tmp/config.h $ac_file
963 fi
964 else
965 cat $tmp/config.h
966 rm -f $tmp/config.h
967 fi
968 # Compute $ac_file's index in $config_headers.
969 _am_stamp_count=1
970 for _am_header in $config_headers :; do
971 case $_am_header in
972 $ac_file | $ac_file:* )
973 break ;;
974 * )
975 _am_stamp_count=`expr $_am_stamp_count + 1` ;;
976 esac
977 done
978 echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null ||
979 $as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
980 X$ac_file : 'X\(//\)[^/]' \| \
981 X$ac_file : 'X\(//\)$' \| \
982 X$ac_file : 'X\(/\)' \| \
983 . : '\(.\)' 2>/dev/null ||
984 echo X$ac_file |
985 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
986 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
987 /^X\(\/\/\)$/{ s//\1/; q; }
988 /^X\(\/\).*/{ s//\1/; q; }
989 s/.*/./; q'`/stamp-h$_am_stamp_count
990 done
991
992 #
993 # CONFIG_COMMANDS section.
994 #
995 for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
996 ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
997 ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
998 ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
999 $as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1000 X"$ac_dest" : 'X\(//\)[^/]' \| \
1001 X"$ac_dest" : 'X\(//\)$' \| \
1002 X"$ac_dest" : 'X\(/\)' \| \
1003 . : '\(.\)' 2>/dev/null ||
1004 echo X"$ac_dest" |
1005 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1006 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1007 /^X\(\/\/\)$/{ s//\1/; q; }
1008 /^X\(\/\).*/{ s//\1/; q; }
1009 s/.*/./; q'`
1010 { if $as_mkdir_p; then
1011 mkdir -p "$ac_dir"
1012 else
1013 as_dir="$ac_dir"
1014 as_dirs=
1015 while test ! -d "$as_dir"; do
1016 as_dirs="$as_dir $as_dirs"
1017 as_dir=`(dirname "$as_dir") 2>/dev/null ||
1018 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1019 X"$as_dir" : 'X\(//\)[^/]' \| \
1020 X"$as_dir" : 'X\(//\)$' \| \
1021 X"$as_dir" : 'X\(/\)' \| \
1022 . : '\(.\)' 2>/dev/null ||
1023 echo X"$as_dir" |
1024 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1025 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1026 /^X\(\/\/\)$/{ s//\1/; q; }
1027 /^X\(\/\).*/{ s//\1/; q; }
1028 s/.*/./; q'`
1029 done
1030 test ! -n "$as_dirs" || mkdir $as_dirs
1031 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1032 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1033 { (exit 1); exit 1; }; }; }
1034
1035 ac_builddir=.
1036
1037 if test "$ac_dir" != .; then
1038 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
1039 # A "../" for each directory in $ac_dir_suffix.
1040 ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
1041 else
1042 ac_dir_suffix= ac_top_builddir=
1043 fi
1044
1045 case $srcdir in
1046 .) # No --srcdir option. We are building in place.
1047 ac_srcdir=.
1048 if test -z "$ac_top_builddir"; then
1049 ac_top_srcdir=.
1050 else
1051 ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
1052 fi ;;
1053 [\\/]* | ?:[\\/]* ) # Absolute path.
1054 ac_srcdir=$srcdir$ac_dir_suffix;
1055 ac_top_srcdir=$srcdir ;;
1056 *) # Relative path.
1057 ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
1058 ac_top_srcdir=$ac_top_builddir$srcdir ;;
1059 esac
1060
1061 # Do not use `cd foo && pwd` to compute absolute paths, because
1062 # the directories may not exist.
1063 case `pwd` in
1064 .) ac_abs_builddir="$ac_dir";;
1065 *)
1066 case "$ac_dir" in
1067 .) ac_abs_builddir=`pwd`;;
1068 [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
1069 *) ac_abs_builddir=`pwd`/"$ac_dir";;
1070 esac;;
1071 esac
1072 case $ac_abs_builddir in
1073 .) ac_abs_top_builddir=${ac_top_builddir}.;;
1074 *)
1075 case ${ac_top_builddir}. in
1076 .) ac_abs_top_builddir=$ac_abs_builddir;;
1077 [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
1078 *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
1079 esac;;
1080 esac
1081 case $ac_abs_builddir in
1082 .) ac_abs_srcdir=$ac_srcdir;;
1083 *)
1084 case $ac_srcdir in
1085 .) ac_abs_srcdir=$ac_abs_builddir;;
1086 [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
1087 *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
1088 esac;;
1089 esac
1090 case $ac_abs_builddir in
1091 .) ac_abs_top_srcdir=$ac_top_srcdir;;
1092 *)
1093 case $ac_top_srcdir in
1094 .) ac_abs_top_srcdir=$ac_abs_builddir;;
1095 [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
1096 *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
1097 esac;;
1098 esac
1099
1100
1101 { echo "$as_me:$LINENO: executing $ac_dest commands" >&5
1102 echo "$as_me: executing $ac_dest commands" >&6;}
1103 case $ac_dest in
1104 depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
1105 # Strip MF so we end up with the name of the file.
1106 mf=`echo "$mf" | sed -e 's/:.*$//'`
1107 # Check whether this is an Automake generated Makefile or not.
1108 # We used to match only the files named `Makefile.in', but
1109 # some people rename them; so instead we look at the file content.
1110 # Grep'ing the first line is not enough: some people post-process
1111 # each Makefile.in and add a new line on top of each file to say so.
1112 # So let's grep whole file.
1113 if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
1114 dirpart=`(dirname "$mf") 2>/dev/null ||
1115 $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1116 X"$mf" : 'X\(//\)[^/]' \| \
1117 X"$mf" : 'X\(//\)$' \| \
1118 X"$mf" : 'X\(/\)' \| \
1119 . : '\(.\)' 2>/dev/null ||
1120 echo X"$mf" |
1121 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1122 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1123 /^X\(\/\/\)$/{ s//\1/; q; }
1124 /^X\(\/\).*/{ s//\1/; q; }
1125 s/.*/./; q'`
1126 else
1127 continue
1128 fi
1129 # Extract the definition of DEPDIR, am__include, and am__quote
1130 # from the Makefile without running `make'.
1131 DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
1132 test -z "$DEPDIR" && continue
1133 am__include=`sed -n 's/^am__include = //p' < "$mf"`
1134 test -z "am__include" && continue
1135 am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
1136 # When using ansi2knr, U may be empty or an underscore; expand it
1137 U=`sed -n 's/^U = //p' < "$mf"`
1138 # Find all dependency output files, they are included files with
1139 # $(DEPDIR) in their names. We invoke sed twice because it is the
1140 # simplest approach to changing $(DEPDIR) to its actual value in the
1141 # expansion.
1142 for file in `sed -n "
1143 s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
1144 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1145 # Make sure the directory exists.
1146 test -f "$dirpart/$file" && continue
1147 fdir=`(dirname "$file") 2>/dev/null ||
1148 $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1149 X"$file" : 'X\(//\)[^/]' \| \
1150 X"$file" : 'X\(//\)$' \| \
1151 X"$file" : 'X\(/\)' \| \
1152 . : '\(.\)' 2>/dev/null ||
1153 echo X"$file" |
1154 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1155 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1156 /^X\(\/\/\)$/{ s//\1/; q; }
1157 /^X\(\/\).*/{ s//\1/; q; }
1158 s/.*/./; q'`
1159 { if $as_mkdir_p; then
1160 mkdir -p $dirpart/$fdir
1161 else
1162 as_dir=$dirpart/$fdir
1163 as_dirs=
1164 while test ! -d "$as_dir"; do
1165 as_dirs="$as_dir $as_dirs"
1166 as_dir=`(dirname "$as_dir") 2>/dev/null ||
1167 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1168 X"$as_dir" : 'X\(//\)[^/]' \| \
1169 X"$as_dir" : 'X\(//\)$' \| \
1170 X"$as_dir" : 'X\(/\)' \| \
1171 . : '\(.\)' 2>/dev/null ||
1172 echo X"$as_dir" |
1173 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1174 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1175 /^X\(\/\/\)$/{ s//\1/; q; }
1176 /^X\(\/\).*/{ s//\1/; q; }
1177 s/.*/./; q'`
1178 done
1179 test ! -n "$as_dirs" || mkdir $as_dirs
1180 fi || { { echo "$as_me:$LINENO: error: cannot create directory $dirpart/$fdir" >&5
1181 echo "$as_me: error: cannot create directory $dirpart/$fdir" >&2;}
1182 { (exit 1); exit 1; }; }; }
1183
1184 # echo "creating $dirpart/$file"
1185 echo '# dummy' > "$dirpart/$file"
1186 done
1187 done
1188 ;;
1189 esac
1190 done
1191
1192 { (exit 0); exit 0; }